image: tecnalia-docker-dev.artifact.tecnalia.com/docker:git


workflow:
  rules:
    - if: $CI_COMMIT_TAG
    - if: $CI_COMMIT_BRANCH

variables:
  TMPDIR: /builds/${CI_PROJECT_NAMESPACE}
  GIT_LFS_SKIP_SMUDGE: 1 # Avoid fetching the files from LFS when doing git fetch

services:
  - name: tecnalia-docker-dev.artifact.tecnalia.com/docker:dind
    alias: docker

stages:
  - build

before_script:
  - apk add --update bash coreutils tar wget
  - docker login tecnalia-docker-dev.artifact.tecnalia.com -u ${ARTIFACT_CI_USER} -p ${ARTIFACT_CI_TOKEN}

include:
  - ci-templates/syntax-check.yml
  - ci-templates/industrial-ci-templates.yml

default:
  tags:
    - docker
